//The rand() function returns a pseudo-random integer in the range 0 to RAND_MAX inclusive (i.e., the mathematical range [0, RAND_MAX]). 

//rand - [0,...,RAND_MAX]

#include <stdio.h>
#include <stdlib.h>
#include <time.h>

int main(int argc, char **argv)
{
	int seed;
	double rez;
	if(argc > 1)
	{
		//postoji arg. kom. linije
		//i seed citamo odatle
		seed = atoi(argv[1]);
	}
	else
	{
		seed = time(NULL);
	}
	
	//postavljamo pocetni seed
	srand(seed);
	
	rez = 1.0 * rand() / RAND_MAX;
	
	printf("slucajan broj: %lf\n", rez);
	return 0;
}



